Name:           opencsv
Version:        1.8
Release:        3%{?dist}
Summary:        A very simple csv (comma-separated values) parser library for Java
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://opencsv.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src-with-libs.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     java-devel >= 1:1.6.0
BuildRequires:     jpackage-utils
BuildRequires:     ant
BuildRequires:     junit
BuildRequires:     ant-junit
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils

%description
Support for all the basic csv-type things you're likely to want to do.


%package javadoc
Summary:           Javadocs for opencsv
Group:             Documentation
Requires:          %{name} = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
opencsv development documentation.


%prep
%setup -q # -n %{name}-%{version}

### making sure we dont use it
rm -rf lib/* doc deploy

%{__sed} -i 's/\r//' examples/MockResultSet.java
%{__sed} -i 's/\r//' examples/JdbcExample.java
%{__sed} -i 's/\r//' examples/addresses.csv
%{__sed} -i 's/\r//' examples/AddressExample.java


%build
ant jar # includes clean & build
ant test
ant javadoc


%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 deploy/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc examples
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}/*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Sandro Mathys <red at fedoraproject.org> - 1.8-2
- Examples now docs
- Removed feature list in description
- Added symlink to the javadocs (name-version -> name)

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 1.8-1
- initial build (thanks Rudolf 'che' Kastl for the help)
